// SillonFerme5.scad
//
// 5 sillons fermes largeur 0.4 0.6 0.8 1 1.2 mm diametres 35 30 25 20 15 mm
// + Base

mur = 4;
hauteur = 0.4;

module Sillon(rayon,largeur) {
	// Mur exterieur
	difference() {
		cylinder(r = rayon + largeur / 2 + mur, h = hauteur, center = true);
		cylinder(r = rayon + largeur / 2, h = 2 * hauteur, center = true);
	}
	
	//Mur interieur
	difference() {
		cylinder(r = rayon - largeur / 2, h = hauteur, center = true);
		cylinder(r = rayon - largeur / 2 - mur, h = 2 * hauteur, center = true);
	}
}

Sillon(35,0.4);
Sillon(30,0.6);
Sillon(25,0.8);
Sillon(20,1);
Sillon(15,1.2);

// Base
// Comment les 2 lignes pour supprimer la base
translate([0,0, - hauteur])
cylinder(r = 35 + mur, h = hauteur, center = true);

